Skip to main content
GET
/
scroll
/
batches
List batches.
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/scroll/batches?apikey='
{
  "items": [
    {
      "batch_data_container": "in_blob4844",
      "l1_timestamp": "2023-11-07T05:31:56Z",
      "l1_transaction_hashes": [
        "<string>"
      ],
      "l2_end_block_number": 123,
      "l2_start_block_number": 123,
      "number": 123,
      "transactions_count": 123,
      "blobs": [
        {
          "l1_timestamp": "2023-11-07T05:31:56Z",
          "l1_transaction_hash": "<string>",
          "cert": "<string>",
          "commitment": "<string>",
          "hash": "<string>",
          "height": 123,
          "namespace": "<string>"
        }
      ]
    }
  ],
  "next_page_params": {
    "items_count": 50,
    "number": 502655
  }
}

Documentation Index

Fetch the complete documentation index at: https://blockscout-mf-14206.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50
number
integer

Number for paging

Response

List of batches.

items
(Batch · object | null)[]
required

Optimism Batch struct.

next_page_params
object
required
Example:
{ "items_count": 50, "number": 502655 }